Subject: Re: [PATCH] ppc: Add support for bigger page sizes than 4KB on PPC44x

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 13 Mar 2007 14:54:27 +0100

On Tue, 2007-03-13 at 10:37 +0100, Wolfgang Denk wrote:
> Dear Ben,
> 
> in message <[email-masked]> you wrote:
> >
> >  - It's arch/ppc. We shouldn't do new major features on this codebase.
> > You are welcome however in helping moving over 4xx to arch/powerpc :-)
> 
> Will do that as soon as we have an arch/powerpc port for the 440SP /
> 440SPe

Ah great. I was thinking about working on 440GX after I'm back from the
ski. (I have a Taishan board)

We'll need to look into the MSI problem for SPe I suppose too...
hopefully Michael should have a proper MSI core merged upstream soom
(/me crosses fingers).

> >  - Have you tried other page sizes ? How hard would it be to support 16K
> > and what kind of performance numbers do you get with 16K ? It's a better
> 
> 16 kB should work, but was not tested so far. From our RAID oriented
> calculations it's not interesting.

Fair enough. I still think it would be useful for other workloads to
have that choice though :-)

> We tried 256 kB, but kernel linking fails with a "Not enough room for
> program headers" error message. We will investigate this ASAP, but at
> the moment we have other priorities. [Any hints what might  go  wrong
> are welcome.]

256K will not be doable without serious hacking afaik. Anything above
64K. You won't be able to run most userland apps for example as the
sections are generally 64K aligned.

> Agreed, but this obviously depends  on  the  sort  of  application(s)
> you're running.

Definitely.

Cheers,
Ben.